Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind
Class ToolTipRenderer

    java.lang.Object
      gov.nasa.worldwind.ToolTipRenderer

    public class ToolTipRenderer

extends Object

Constructor Summary
`ToolTipRenderer()`
`ToolTipRenderer(TextRenderer textRenderer)`
`ToolTipRenderer(TextRenderer textRenderer, boolean useSystemLookAndFeel)`

Method Summary
`void` | `beginRendering(int width, int height, boolean disableDepthTest)`
`void` | `draw(String str, int x, int y)`
`void` | `endRendering()`
`Color` | `getBackground()`
`float` | `getBorderWidth()`
`Color` | `getForeground()`
`Insets` | `getInsets()`
`boolean` | `getUseSystemLookAndFeel()`
`void` | `setBackground(Color color)`
`void` | `setBorderWidth(float borderWidth)`
`void` | `setForeground(Color color)`
`void` | `setInsets(Insets insets)`
`void` | `setUseSystemLookAndFeel(boolean useSystemLookAndFeel)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToolTipRenderer

    public ToolTipRenderer()

### ToolTipRenderer

    public ToolTipRenderer(TextRenderer textRenderer)

### ToolTipRenderer

    public ToolTipRenderer(TextRenderer textRenderer,
                           boolean useSystemLookAndFeel)

Method Detail

### beginRendering

    public void beginRendering(int width,
                               int height,
                               boolean disableDepthTest)

### draw

    public void draw(String str,
                     int x,
                     int y)

### endRendering

    public void endRendering()

### getBackground

    public Color getBackground()

### getBorderWidth

    public float getBorderWidth()

### getForeground

    public Color getForeground()

### getInsets

    public Insets getInsets()

### getUseSystemLookAndFeel

    public boolean getUseSystemLookAndFeel()

### setBackground

    public void setBackground(Color color)

### setBorderWidth

    public void setBorderWidth(float borderWidth)

### setForeground

    public void setForeground(Color color)

### setInsets

    public void setInsets(Insets insets)

### setUseSystemLookAndFeel

    public void setUseSystemLookAndFeel(boolean useSystemLookAndFeel)

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD